/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Formal complaint information.
 */
@ApiModel(description = "Formal complaint information.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class FormalComplaint {
  @SerializedName("is_submitted")
  private Boolean isSubmitted = null;

  @SerializedName("submission_reason")
  private String submissionReason = null;

  public FormalComplaint isSubmitted(Boolean isSubmitted) {
    this.isSubmitted = isSubmitted;
    return this;
  }

   /**
   * Is a formal complaint submitted?
   * @return isSubmitted
  **/
  @ApiModelProperty(value = "Is a formal complaint submitted?")
  public Boolean isIsSubmitted() {
    return isSubmitted;
  }

  public void setIsSubmitted(Boolean isSubmitted) {
    this.isSubmitted = isSubmitted;
  }

  public FormalComplaint submissionReason(String submissionReason) {
    this.submissionReason = submissionReason;
    return this;
  }

   /**
   * Description of the reason that led or not led to a formal complaint.
   * @return submissionReason
  **/
  @ApiModelProperty(value = "Description of the reason that led or not led to a formal complaint.")
  public String getSubmissionReason() {
    return submissionReason;
  }

  public void setSubmissionReason(String submissionReason) {
    this.submissionReason = submissionReason;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    FormalComplaint formalComplaint = (FormalComplaint) o;
    return Objects.equals(this.isSubmitted, formalComplaint.isSubmitted) &&
        Objects.equals(this.submissionReason, formalComplaint.submissionReason);
  }

  @Override
  public int hashCode() {
    return Objects.hash(isSubmitted, submissionReason);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class FormalComplaint {\n");
    
    sb.append("    isSubmitted: ").append(toIndentedString(isSubmitted)).append("\n");
    sb.append("    submissionReason: ").append(toIndentedString(submissionReason)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

